PDF Extract Fails On Document With Form Fields

New Here ,
Sep 26, 2021 Sep 26, 2021

Copy link to clipboard

Copied

Hi,

 I've tested PDF Extract both in .Net and in Python on this simple form (attached). It always fails on 

FileRef result = extractPdfOperation.Execute(executionContext);
or in Py
result: FileRef = extract_pdf_operation.execute(execution_context)

The Api works fine on documents without form fields, but when those are present, it fails. Here's the error message as shown from a Python script:

 

INFO:adobe.pdfservices.operation.pdfops.extract_pdf_operation:All validations successfully done. Beginning ExtractPDF operation execution
ERROR:root:Exception encountered while executing operation
Traceback (most recent call last):
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\pdfops\extract_pdf_operation.py", line 134, in execute
    ExtractPDFAPI.download_and_save(location=location, context=execution_context, file_location=file_location)
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\internal\service\extract_pdf_api.py", line 48, in download_and_save
    response = CPFApi.cpf_status_api(location, context)
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\internal\api\cpf_api.py", line 86, in cpf_status_api
    response = polling2.poll(
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\polling2.py", line 191, in poll
    val = target(*args, **kwargs)
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\internal\api\cpf_api.py", line 87, in <lambda>
    lambda: http_client.process_request(http_request=http_request,
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\internal\http\http_client.py", line 42, in process_request
    if _handle_response_and_retry(response, success_status_codes,
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\internal\http\http_client.py", line 105, in _handle_response_and_retry
    raise OperationException(message="Error response received for request",
adobe.pdfservices.operation.internal.exceptions.OperationException

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\Users\Tomek\Documents\Py Code\PDF_Text_Extr_Py\project\extract_txt_tbl.py", line 56, in extract_txt_table_info_from_pdf
    result: FileRef = extract_pdf_operation.execute(execution_context)
  File "C:\Users\Tomek\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0\LocalCache\local-packages\Python39\site-packages\adobe\pdfservices\operation\pdfops\extract_pdf_operation.py", line 138, in execute
    raise ServiceApiException(message=oex.error_message, error_code=oex.error_code,
adobe.pdfservices.operation.exception.exceptions.ServiceApiException: description =ERROR - Unexpected error; requestTrackingId=jtJH99UOppndDZwaTCv2ZXqYDwC8u8hI; statusCode=500; errorCode=UNKNOWN       

 Why am I seeing this error? How to get around it?

Views

72

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation